Version: 2019.4
パッケージの競合
Unity の競合解決をオーバーライド

自動的競合解決

Package Manager がパッケージの依存関係を計算し、同じパッケージの複数のバージョンのリクエストを見つけると、自動的にルートから依存関係のレベルが最も少ないパッケージを選択します。同順位の場合、Package Manager は、同順位のバージョンのうち上位バージョンを選択します。その後、Unity コンソールに競合の説明が表示されます。

Package Manager は、ルートに近いパッケージ X の v2.0.0 を選択します
Package Manager は、ルートに近いパッケージ X の v2.0.0 を選択します

この例では、パッケージ X の上位バージョン (2.0.1) が、プロジェクトから 3 レベル (パッケージ B とパッケージ C 経由) 離れた依存関係として表示されます。Package Manager は、パッケージ X のバージョン 2.0.0 をロードします。これは、パッケージ X のバージョン 2.0.0 の依存関係がプロジェクトから 2 レベルしか離れていないためです (パッケージ A のみ経由)。

ノート: Package Manager がどのパッケージをロードするかを解決できる場合でも、同じパッケージの異なるメジャーバージョン (例えば 1.0.02.0.0) がリクエストされると、Unity は Unity のログファイル に競合レポートをに書き込みます。

パッケージの競合
Unity の競合解決をオーバーライド